<?php
// $Id: uc_vat_handler_field_price.inc,v 1.1 2009/11/12 16:04:28 longwave Exp $

/**
 * Return a formatted price value to display in the View.
 */
class uc_vat_handler_field_price extends views_handler_field {
  function option_definition() {
    $options = parent::option_definition();
    $options['show_label'] = array('default' => FALSE);
    return $options;
  }

  function options_form(&$form, &$form_state) {
    parent::options_form($form, $form_state);
    $form['show_label'] = array(
      '#title' => t('Show price labels'),
      '#description' => t('This will show any prefixes and suffixes supplied by price handlers.'),
      '#type' => 'checkbox',
      '#default_value' => !empty($this->options['show_label']),
    );
  }

  function render($values) {
    $context = array(
      'revision' => 'themed',
      'type' => 'product',
      'class' => array(
        'product',
        $this->field,
      ),
      'field' => $this->real_field,
      'subject' => array(
        'node' => $values,
      ),
    );
    $options = array('label' => !empty($this->options['show_label']));

    $table_alias_len = strlen($this->table_alias);
    foreach ($values as $key => $value) {
      if (substr($key, 0, $table_alias_len) == $this->table_alias) {
        $values->{substr($key, $table_alias_len + 1)} = $value;
      }
    }

    return uc_price($values->{$this->field_alias}, $context, $options);
  }
}
